.maplibregl-ctrl-top-right {
  display: none;
}

.layerInfo {
  align-items: center;
  image-rendering: crisp-edges;
  /* 20241126追加 */
}

.layerInfo-popup {
  width: 100%;
  max-width: 1000px;
  min-width: 0;
  display: flex;
  align-items: flex-start;
  /* color: #fff;
  background-color: #273755; */
}

.layerInfo-popup .popup-list-wrapper .popup-list {
  list-style-type: none;
  /* リストのマーカーを非表示 */
  margin: 0;
  /* リスト全体の余白をリセット */
  padding: 8px;
  width: 230px;
}

.layerInfo-popup .popup-list-wrapper .popup-list li {
  display: block;
  /* 各リスト要素をブロック要素として扱う */
  margin-bottom: 5px;
  /* 各項目の間に余白を設定 */
  line-height: 1.5;
  /* 行間を広げて見やすくする */
}

.popup-list-wrapper {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  color: #141415;
  font-size: 12px;
  max-height: 600px;
  /* ポップアップ全体の高さを指定 */
  overflow-y: auto;
  /* スクロールバーを表示 */
}

/* スクロールバー全体のスタイル */
.popup-list-wrapper::-webkit-scrollbar {
  width: 5px;
  /* スクロールバーの幅を小さくする */
  height: 5px;
  background: transparent;
  /* 背景を透明にして目立たなくする */
}

/* スクロールバーのサム（つまみ部分）のスタイル */
.popup-list-wrapper::-webkit-scrollbar-thumb {
  background-color: #888;
  /* サムの色を薄くする */
  border-radius: 10px;
  /* 角を丸くしてソフトに見せる */
}

/* サムをホバーしたときのスタイル */
.popup-list-wrapper::-webkit-scrollbar-thumb:hover {
  background-color: #555;
  /* ホバー時に少し濃くする */
}

.spaciesInfo-popup {
  width: 150px;
  /* color: #fff;
  background-color: #273755; */
}

.forestPredButton {
  text-align: right;
  margin-bottom: 0;
}

.maplibregl-popup-content {
  color: #fff;
  background-color: #273755;
}

.maplibregl-popup-anchor-bottom .maplibregl-popup-tip {
  border-top-color: #273755 !important;
}

.maplibregl-popup-anchor-top .maplibregl-popup-tip {
  border-bottom-color: #273755 !important;
}

.maplibregl-popup-close-button {
  color: #fff;
}

.spacies-layer {
  margin: 0 0 0 15px;
}

#mouse-stalker {
  padding: 5px 10px;
  display: none;
  pointer-events: none;
  position: fixed;
  top: 15px;
  left: -10px;
  /* width: 20px; */
  /* height: 20px; */
  background: #FAFBFD;
  color: #141415;
  border-radius: 10px;
  font-size: 12px;
  transform: translate(0, 0);
  transition: transform 0.1s;
  transition-timing-function: ease-out;
  z-index: 999;
}

#draw-operation {
  padding: 5px 10px;
  display: none;
  position: fixed;
  top: 80px;
  left: 566px;
  background: #FAFBFD;
  color: #5B5F66;
  border-radius: 10px;
  font-size: 12px;
  z-index: 2000;
}


#city-Color,
#groundupload-Color,
#aerialupload-Color {
  inline-size: 50px;
  block-size: 20px;
  margin: 0;
}

.efficiency-box {
  color: black !important;
}

.chooseAlert {
  color: red;
  font-size: 12px;
  display: none;
}

.zoningForm {
  /* text-align: right; */
  margin-bottom: 0;
}

.dropdown-menuList-item {
  color: #ccc;
  text-decoration: none;
  font-size: 14px;
  pointer-events: none;
}

.dropdown-menuList-icon {
  color: #ccc;
  margin-right: 10px;
}

.dropdown-menuList-line {
  margin: 0px;
  padding: 5px;
  cursor: pointer;
}

#pitch-control {
  background-color: #273755;
  /* position: absolute; */
  top: 0;
  left: 255px;
  z-index: 2001;
  width: 45px;
  height: 45px;
  text-align: center;
  border: 1px solid;
  padding-top: 5px;
  border-radius: 10px;
}

#btn-terrain {
  color: #141415;
  cursor: pointer;
  font-size: 14px;
}

#rotation-control {
  background-color: #0D1B36;
  position: absolute;
  top: 10px;
  left: 390px;
  z-index: 2001;
  width: 45px;
  height: 45px;
  text-align: center;
  border: 1px solid;
  padding-top: 10px;
  border-radius: 10px;
}

#btn-rotation-reset {
  color: #fff;
  /* margin-left: 5px; */
  cursor: pointer;
}

.update-item {
  margin: 0 10px 0 20px;
}

.fa-solid {
  cursor: pointer;
}

#sidebar {
  background-color: #0D1B36;
  top: 10px;
  left: 5px;
  width: 250px;
  position: absolute;
  z-index: 1000;
  border-radius: 10px;
  max-height: 90%;
  overflow: auto;
}

#dropdown-menuList {
  position: fixed;
  padding: 5px;
  z-index: 3000;
  background-color: #273755;
  top: 90px;
  left: 5px;
  display: none;
  border-radius: 10px;
}

#createList-body {
  color: #fff;
  font-size: 12px;
  padding: 8px 0;
}

.layer-list-update {
  min-height: 40px;
  position: relative;
}

#empty-message {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  transform: translate(-50%, -50%);
  color: #ffffff;
  font-size: 14px;
  text-align: center;
  margin: 0;
}


.dropdown-menu-create {
  position: fixed !important;
  inset: auto !important;
  margin: initial !important;
  transform: none !important;
}

/* input[type="text"] {
  background-color: #273755;
  color: #ccc;
  border: none;
} */

input[type="file"] {
  background-color: #273755;
  color: #ccc;
  border: none;
}

#overlay-fileupload {
  display: none;
  position: fixed;
  color: #CCC;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  padding: 5px;
  border: 2px dashed #ccc;
  border-radius: 8px;
  z-index: 20001;
}

#fileupload-content {
  color: #CCC;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 20001;
}

/* input[type="month"]::after,
input[type="date"]::after {
  font-family: FontAwesome;
  content: "\f073";
  color: #fff;
  position: absolute;
  top: 8px;
  right: 10px;
  cursor: pointer;
} */

#pref-city-search {
  margin: 10px;
}

.popover-header {
  color: #fff !important;
  background-color: #101115 !important;
  padding: 5px 10px !important;
  border-bottom: 0px solid #101115 !important;
  /* border-color: #ccc !important; */
}

.popover-body {
  color: #fff !important;
  background-color: #101115 !important;
  padding: 5px 10px 10px 10px !important;
  border-bottom: 0px solid #101115 !important;
  font-size: 0.75rem;
}

.bs-popover-bottom .popover-header::before,
.bs-popover-right .popover-header::before {
  border-bottom: 0px solid #101115 !important;
}

.bs-popover-bottom>.popover-arrow::after,
.bs-popover-bottom>.popover-arrow::before {
  border-bottom: 10px solid #101115 !important;
}

.bs-popover-end>.popover-arrow::after,
.bs-popover-end>.popover-arrow::before {
  border-right-color: #101115 !important;
}

#dataList-body {
  border: 3px solid #223049;
  overflow: auto;
  padding: 10px;
  /* display: flex; */
  height: 70%;
}

.dataList-line {
  border: 3px solid #223049;
  display: flex;
  padding: 10px;
}

.dataList-check {
  width: 2rem;
}

.dataList-line:hover {
  border: 3px solid #0b0c14;
}

.datalist-btn {
  color: #0b0c14 !important;
  text-align: right !important;
  background-color: #ccc !important;
  border: none !important;
  font-size: small !important;
}

#search-btn {
  color: #ccc;
  text-align: right;
  margin: 10px;
}

.datalist-date {
  width: 8.5rem;
  margin-right: 5px;
}

#date-search {
  color: #ccc;
  text-align: center;
}

#result-number {
  text-align: center;
  color: #ccc;
  width: 100%;
}

.dataList-child {
  width: 12rem;
}

.dataList-title {
  font-size: 0.875rem;
  color: #ccc;
}

.dataList-detail {
  font-size: 0.75rem;
  color: #ccc;
}

.dataList-icon {
  padding: 5px;
  width: 4rem;
  float: right;
  text-align: right;
}

.dropdown-menu-ground {
  position: fixed !important;
  list-style: none !important;
}

#mapry-logo {
  width: 150px;
  margin: 10px;
  float: left;
}

#mapry-logo img {
  width: 150px;
}

#search-btn {
  padding: 10px;
}

.dataList-check {
  padding: 5px;
}

#uploadlist-maplayer-list {
  position: absolute;
  top: 10px;
  left: 310px;
  z-index: 2000;
}

#maplayerlist-body {
  display: grid;
  grid-template-columns: 150px 150px;
  background-color: #0D1B36;
  border-radius: 10px;
  overflow: auto;
}

#pref-Z table,
#pref-Z tbody td,
#pref-Z tbody th {
  border: 1px solid #ccc;
}